Class RequestParameters

java.lang.Object
io.vertx.reactivex.ext.web.validation.RequestParameters
All Implemented Interfaces:
io.vertx.lang.rx.RxDelegate

public class RequestParameters extends Object implements io.vertx.lang.rx.RxDelegate
Container for request parameters

NOTE: This class has been automatically generated from the original non RX-ified interface using Vert.x codegen.

  • Field Details

    • __TYPE_ARG

      public static final io.vertx.lang.rx.TypeArg<RequestParameters> __TYPE_ARG
  • Constructor Details

    • RequestParameters

      public RequestParameters(RequestParameters delegate)
    • RequestParameters

      public RequestParameters(Object delegate)
  • Method Details

    • toString

      public String toString()
      Overrides:
      toString in class Object
    • equals

      public boolean equals(Object o)
      Overrides:
      equals in class Object
    • hashCode

      public int hashCode()
      Overrides:
      hashCode in class Object
    • getDelegate

      public RequestParameters getDelegate()
      Specified by:
      getDelegate in interface io.vertx.lang.rx.RxDelegate
    • pathParametersNames

      public List<String> pathParametersNames()
      Get list of all parameter names inside path
      Returns:
    • pathParameter

      public RequestParameter pathParameter(String name)
      Get path parameter by name
      Parameters:
      name - Parameter name
      Returns:
    • queryParametersNames

      public List<String> queryParametersNames()
      Get list of all parameter names inside query
      Returns:
    • queryParameter

      public RequestParameter queryParameter(String name)
      Get query parameter by name
      Parameters:
      name - Parameter name
      Returns:
    • headerParametersNames

      public List<String> headerParametersNames()
      Get list of all parameter names inside header
      Returns:
    • headerParameter

      public RequestParameter headerParameter(String name)
      Get header parameter by name. This getter is case insensitive.
      Parameters:
      name - Parameter name
      Returns:
    • cookieParametersNames

      public List<String> cookieParametersNames()
      Get list of all parameter names inside cookie
      Returns:
    • cookieParameter

      public RequestParameter cookieParameter(String name)
      Get cookie parameter by name
      Parameters:
      name - Parameter name
      Returns:
    • body

      public RequestParameter body()
      Return request body when parsed. Forms are managed as
      Returns:
    • toJson

      public JsonObject toJson()
      This method converts RequestParameters in an unique JsonObject with 6 fields: cookie, path, query, header, form, body
      cookie, path, query, header, form are JsonObject where keys are param names and values are param values, while body depends on body's shape and may not exist
      Returns:
    • newInstance

      public static RequestParameters newInstance(RequestParameters arg)